<?
include "../config.php";

$req = 'cmd=_notify-validate';
foreach ($_POST as $key => $value) {
$value = urlencode(stripslashes($value));
$req .= "&$key=$value";
//Remove this line after you have debugged
//print $req;
//print_r($_REQUEST);
}

// post back to PayPal system to validate
$header = "POST /cgi-bin/webscr HTTP/1.1\r\n";
$header .= "Host: www.paypal.com\r\n";
//$header .= "Host: www.sandbox.paypal.com\r\n";
$header .= "Content-Type: application/x-www-form-urlencoded\r\n";
$header .= "Content-Length: " . strlen($req) . "\r\n";
$header .= "Connection: close\r\n\r\n";
$fp = fsockopen ('ssl://www.paypal.com', 443, $errno, $errstr, 30);
//$fp = fsockopen ('ssl://www.sandbox.paypal.com', 443, $errno, $errstr, 30);

// assign posted variables to local variables
$payment_status = $_POST ['payment_status'];
$payment_amount = $_POST ['mc_gross'];
$payment_currency = $_POST ['mc_currency'];
$txn_id = $_POST ['txn_id'];
$receiver_email = $_POST ['receiver_email'];
$payer_email = $_POST ['payer_email'];
$quantity = $_POST ['quantity'];
$userid = $_POST ['option_selection1'];
$item = $_POST ['item_name'];




// email header
$em_headers = "From: $receiver_email\n";
$em_headers .= "Reply-To: $receiver_email\n";
$em_headers .= "Return-Path: $receiver_email\n";

if ($fp) {
fputs ($fp, $header . $req);
$res = stream_get_contents($fp, 6144);
$res2 = strip_tags($res);
if (strpos($res2, "VERIFIED") !== false) {

// check the payment_status is Completed

// check that txn_id has not been previously processed

// check that receiver_email is your Primary PayPal email

// check that payment_amount/payment_currency are correct

// process payment



	if ($receiver_email == $paypal AND $payment_status == "Completed") {

		mysql_query("INSERT INTO transactions VALUES ('id','".$userid."','Paypal payment - JV Member Upgrade','".time()."','$$payment_amount')");

		upgrade_jv($userid);



	}





} else {
 print "PayPal response is not VERIFIED";
 }
 } else {
 print "PayPal - SOCKET ERROR!";
 }
 mysql_close();
 ?>